Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0003654TestLinkDatabase Generalpublic2010-08-05 12:452010-08-31 20:27
Reporternterray 
Assigned Tofman 
PrioritylowSeverityblockReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version1.9 Beta 5 
Fixed in Version1.9 Beta 6 
Summary0003654: New install drop tables regardless the prefix
DescriptionWhen installing testlink, some tables of another application tables have been dropped like user_group.
Steps To ReproduceCreate a database.
Create a table 'user_group'.

Install TestLink, use the prefix 'testlink_'.

===>

the table testlink_user_group is created.
the table user_group is dropped.
Additional InformationIn install/installNewDB.php, line 588:
---
$targetTable = $db_table_prefix . $tablePlainName;
// if( isset(in_array($targetTable,$the_tables) )
if( in_array($tableFullName,$the_tables) )
...
---

$targetTable is not used (only in the commented statement)
$db_table_prefix is an unassigned variable
TagsNo tags attached.
Database (MySQL,Postgres,etc)
Browser
PHP Version
TestCaseID
QA Team - Task Workflow Status
Attached Files

- Relationships

-  Notes
(0010871)
fman (administrator)
2010-08-15 17:46

tested on postgres 8.3 on windows
(0011069)
fman (administrator)
2010-08-31 20:27

Release BETA 6 - 20100831

- Issue History
Date Modified Username Field Change
2010-08-05 12:45 nterray New Issue
2010-08-05 19:56 fman Assigned To => fman
2010-08-05 19:56 fman Status new => assigned
2010-08-15 17:46 fman Note Added: 0010871
2010-08-15 17:46 fman Status assigned => resolved
2010-08-15 17:46 fman Fixed in Version => 1.9 Beta 6
2010-08-15 17:46 fman Resolution open => fixed
2010-08-31 20:27 fman Note Added: 0011069
2010-08-31 20:27 fman Status resolved => closed



Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker